---
title: TransitionEvent.transitionName
slug: Web/API/TransitionEvent/animationName
tags:
  - API
  - CSS
  - CSS3 Transitions
  - Experimental
  - Property
  - Reference
  - TransitionEvent
---
<p>{{ apiref("CSSOM") }} {{SeeCompatTable}}</p>

<p>The <code><strong>TransitionEvent.transitionName</strong></code> read-only property is a {{domxref("DOMString")}} containing the name of the CSS property associated with the transition.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>name</em> = <em>TransitionEvent</em>.transitionName</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Transitions', '#Events-TransitionEvent-propertyName', 'TransitionEvent.transitionName') }}</td>
   <td>{{ Spec2('CSS3 Transitions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TransitionEvent.transitionName")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/CSS/Using_CSS_transitions">Using CSS transitions</a></li>
</ul>
